CFPRIME RDPELF                                                          RDPELF      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE RDPELF( IVDASE, NREC )                                 RDPELF      3
CD                                                                      RDPELF      4
CD    PART OF THE INTERFACE TO READ PECO LOAD FLOW RECORDS.             RDPELF      5
CD                                                                      RDPELF      6
*IF PECO                                                                RDPELF      7
*IF SIZE12K                                                             PARX        2
*IF -MI2                                                                PARX       26
*ENDIF                                                                  PARX       34
*IF MI2                                                                 PARX       35
*ENDIF                                                                  PARX       43
*IF FACTS                                                               PARX       45
*ENDIF                                                                  PARX       48
*IF -FACTS                                                              PARX       49
*ENDIF                                                                  PARX       52
*ENDIF                                                                  PARX       53
*IF SIZE4K                                                              PARX       54
*IF -MI2                                                                PARX       78
*ENDIF                                                                  PARX       86
*IF MI2                                                                 PARX       87
*ENDIF                                                                  PARX       95
*IF FACTS                                                               PARX       97
*ENDIF                                                                  PARX      100
*IF -FACTS                                                              PARX      101
*ENDIF                                                                  PARX      104
*ENDIF                                                                  PARX      106
*IF SIZE2K                                                              PARX      107
*IF -MI2                                                                PARX      131
*ENDIF                                                                  PARX      139
*IF MI2                                                                 PARX      140
*ENDIF                                                                  PARX      148
*IF FACTS                                                               PARX      150
*ENDIF                                                                  PARX      153
*IF -FACTS                                                              PARX      154
*ENDIF                                                                  PARX      157
*ENDIF                                                                  PARX      158
*IF SIZE1K                                                              PARX      159
*IF -MI2                                                                PARX      182
*ENDIF                                                                  PARX      190
*IF MI2                                                                 PARX      191
*ENDIF                                                                  PARX      199
*IF FACTS                                                               PARX      202
*ENDIF                                                                  PARX      205
*IF -FACTS                                                              PARX      206
*ENDIF                                                                  PARX      209
*ENDIF                                                                  PARX      210
*IF -MI2                                                                CNMNEW      2
*ENDIF                                                                  CNMNEW      4
*IF -MI2                                                                CNFLAG      2
*ENDIF                                                                  CNFLAG      4
*IF SIZE12K                                                             PARX        2
*IF -MI2                                                                PARX       26
*ENDIF                                                                  PARX       34
*IF MI2                                                                 PARX       35
*ENDIF                                                                  PARX       43
*IF FACTS                                                               PARX       45
*ENDIF                                                                  PARX       48
*IF -FACTS                                                              PARX       49
*ENDIF                                                                  PARX       52
*ENDIF                                                                  PARX       53
*IF SIZE4K                                                              PARX       54
*IF -MI2                                                                PARX       78
*ENDIF                                                                  PARX       86
*IF MI2                                                                 PARX       87
*ENDIF                                                                  PARX       95
*IF FACTS                                                               PARX       97
*ENDIF                                                                  PARX      100
*IF -FACTS                                                              PARX      101
*ENDIF                                                                  PARX      104
*ENDIF                                                                  PARX      106
*IF SIZE2K                                                              PARX      107
*IF -MI2                                                                PARX      131
*ENDIF                                                                  PARX      139
*IF MI2                                                                 PARX      140
*ENDIF                                                                  PARX      148
*IF FACTS                                                               PARX      150
*ENDIF                                                                  PARX      153
*IF -FACTS                                                              PARX      154
*ENDIF                                                                  PARX      157
*ENDIF                                                                  PARX      158
*IF SIZE1K                                                              PARX      159
*IF -MI2                                                                PARX      182
*ENDIF                                                                  PARX      190
*IF MI2                                                                 PARX      191
*ENDIF                                                                  PARX      199
*IF FACTS                                                               PARX      202
*ENDIF                                                                  PARX      205
*IF -FACTS                                                              PARX      206
*ENDIF                                                                  PARX      209
*ENDIF                                                                  PARX      210
*IF -MI2                                                                CNMNEW      2
*ENDIF                                                                  CNMNEW      4
*IF -MI2                                                                CNIPTR      2
*ENDIF                                                                  CNIPTR      4
*IF LTSP                                                                CNIPTR      8
*ENDIF                                                                  CNIPTR     10
*IF -MI2                                                                CNIPTR     11
*ENDIF                                                                  CNIPTR     13
*IF -MI2                                                                CNLFDA     26
*ENDIF                                                                  CNLFDA     28
*IF -MI2                                                                CNFLAG      2
*ENDIF                                                                  CNFLAG      4
*IF SIZE12K                                                             PARX        2
*IF -MI2                                                                PARX       26
*ENDIF                                                                  PARX       34
*IF MI2                                                                 PARX       35
*ENDIF                                                                  PARX       43
*IF FACTS                                                               PARX       45
*ENDIF                                                                  PARX       48
*IF -FACTS                                                              PARX       49
*ENDIF                                                                  PARX       52
*ENDIF                                                                  PARX       53
*IF SIZE4K                                                              PARX       54
*IF -MI2                                                                PARX       78
*ENDIF                                                                  PARX       86
*IF MI2                                                                 PARX       87
*ENDIF                                                                  PARX       95
*IF FACTS                                                               PARX       97
*ENDIF                                                                  PARX      100
*IF -FACTS                                                              PARX      101
*ENDIF                                                                  PARX      104
*ENDIF                                                                  PARX      106
*IF SIZE2K                                                              PARX      107
*IF -MI2                                                                PARX      131
*ENDIF                                                                  PARX      139
*IF MI2                                                                 PARX      140
*ENDIF                                                                  PARX      148
*IF FACTS                                                               PARX      150
*ENDIF                                                                  PARX      153
*IF -FACTS                                                              PARX      154
*ENDIF                                                                  PARX      157
*ENDIF                                                                  PARX      158
*IF SIZE1K                                                              PARX      159
*IF -MI2                                                                PARX      182
*ENDIF                                                                  PARX      190
*IF MI2                                                                 PARX      191
*ENDIF                                                                  PARX      199
*IF FACTS                                                               PARX      202
*ENDIF                                                                  PARX      205
*IF -FACTS                                                              PARX      206
*ENDIF                                                                  PARX      209
*ENDIF                                                                  PARX      210
*IF -MI2                                                                CNIPTR      2
*ENDIF                                                                  CNIPTR      4
*IF LTSP                                                                CNIPTR      8
*ENDIF                                                                  CNIPTR     10
*IF -MI2                                                                CNIPTR     11
*ENDIF                                                                  CNIPTR     13
*IF -MI2                                                                CNLFDA     26
*ENDIF                                                                  CNLFDA     28
*IF -MI2                                                                CNMNEW      2
*ENDIF                                                                  CNMNEW      4
*ENDIF                                                                  RDPELF   2703
*IF -PECO                                                               RDPELF   2704
      INCLUDE 'CNMSG.INS'                                               RDPELF   2705
C                                                                       RDPELF   2706
       MSG(1)=' *** INSTALLED FOR PECO ONLY ***'                        RDPELF   2707
       MSG(2)='  PLEASE DO NOT USE THIS OPTION.'                        RDPELF   2708
       CALL PRTMSG(2)                                                   RDPELF   2709
       RETURN                                                           RDPELF   2710
       END                                                              RDPELF   2711
*ENDIF                                                                  RDPELF   2712
